CMSIS-Core (Cortex-M): SysTick_Type Struct Reference

| CMSIS-Core (Cortex-M) Version 5.6.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Data Fields
SysTick_Type Struct Reference

Structure type to access the System Timer (SysTick). More...

## Data Fields

__IOM uint32_t | CTRL
| Offset: 0x000 (R/W) SysTick Control and Status Register. More...
__IOM uint32_t | LOAD
| Offset: 0x004 (R/W) SysTick Reload Value Register. More...
__IOM uint32_t | VAL
| Offset: 0x008 (R/W) SysTick Current Value Register. More...
__IM uint32_t | CALIB
| Offset: 0x00C (R/ ) SysTick Calibration Register. More...

## Description

Structure type to access the System Timer (SysTick).

## Field Documentation

__IM uint32_t SysTick_Type::CALIB

Offset: 0x00C (R/ ) SysTick Calibration Register.

__IOM uint32_t SysTick_Type::CTRL

Offset: 0x000 (R/W) SysTick Control and Status Register.

__IOM uint32_t SysTick_Type::LOAD

Offset: 0x004 (R/W) SysTick Reload Value Register.

__IOM uint32_t SysTick_Type::VAL

Offset: 0x008 (R/W) SysTick Current Value Register.